> ## Documentation Index
> Fetch the complete documentation index at: https://docs.innova-trading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Indicators

> List all indicators submitted by your API key

## Request

This endpoint has no parameters. It returns all indicators associated with your API key.

## Response

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="count" type="integer">
  Total number of indicators
</ResponseField>

<ResponseField name="indicators" type="array">
  Array of indicator summaries

  <Expandable title="Indicator Summary">
    <ResponseField name="indicator_id" type="string">
      Unique identifier
    </ResponseField>

    <ResponseField name="indicator_name" type="string">
      Human-readable name
    </ResponseField>

    <ResponseField name="symbol" type="string">
      Trading symbol
    </ResponseField>

    <ResponseField name="timeframe" type="integer">
      Timeframe in minutes
    </ResponseField>

    <ResponseField name="points_count" type="integer">
      Number of signal points
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 datetime when created
    </ResponseField>

    <ResponseField name="expires_at" type="string">
      ISO 8601 datetime when data expires
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.innova-trading.com/api/external/indicators" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```python Python theme={null}
  response = requests.get(
      "https://api.innova-trading.com/api/external/indicators",
      headers={"Authorization": "Bearer YOUR_API_KEY"}
  )

  data = response.json()
  for indicator in data["indicators"]:
      print(f"{indicator['indicator_name']} - {indicator['points_count']} points")
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.innova-trading.com/api/external/indicators",
    {
      headers: { Authorization: "Bearer YOUR_API_KEY" }
    }
  );

  const { indicators } = await response.json();
  indicators.forEach(ind => {
    console.log(`${ind.indicator_name} - ${ind.points_count} points`);
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "count": 3,
    "indicators": [
      {
        "indicator_id": "smart_money_v2",
        "indicator_name": "Smart Money Signals",
        "symbol": "EURUSD",
        "timeframe": 60,
        "points_count": 25,
        "created_at": "2025-12-12T10:00:00Z",
        "expires_at": "2025-12-13T10:00:00Z"
      },
      {
        "indicator_id": "inside_bar_detector",
        "indicator_name": "Inside Bar Detector",
        "symbol": "EURUSD",
        "timeframe": 60,
        "points_count": 50,
        "created_at": "2025-12-12T11:00:00Z",
        "expires_at": "2025-12-13T11:00:00Z"
      },
      {
        "indicator_id": "gbp_signals",
        "indicator_name": "GBP Trading Signals",
        "symbol": "GBPUSD",
        "timeframe": 240,
        "points_count": 10,
        "created_at": "2025-12-12T09:00:00Z",
        "expires_at": "2025-12-13T09:00:00Z"
      }
    ]
  }
  ```

  ```json Empty Response theme={null}
  {
    "success": true,
    "count": 0,
    "indicators": []
  }
  ```
</ResponseExample>

<Tip>
  Use this endpoint to monitor which indicators are active and when they'll expire.
  Set up a cron job to re-submit data before expiration.
</Tip>
